# Class: ResizeAugmenter

## ResizeAugmenter(opts)

Resize the image

## Constructor

#### new ResizeAugmenter(opts)

##### Parameters:

Name | Type | Description
--- | --- | ---

`opts`

Object

options, if array, or number, considered as the size parameter

###### Properties

Name | Type | Attributes | Description
--- | --- | --- | ---
`size` | ArrayXY | <optional> | mandatory if percent not defined
`percent` | ArrayXY | <optional> | mandatory if size not defined

Source:
  - resize.js, line 20

##### Examples

    // Simple usage, resize to 100x100 square
    ia.resize(100);

    // Simple usage, resize to 100x50 square
    ia.resize([100, 50]);

    // Explicit form
    ia.resize({size: [100, 50]});